---
draft: false 
date: 
  created: 2023-05-23
  updated: 2023-11-22
authors:
  - david
  - helge
---

# Beispiel für einen Blogpost
Blogposts sind einzelnde Markdown-Dateien, die im Ordner `blog\posts\` abgelegt werden. Es empfielt sich das folgende Dateinamenschema zu verwenden, damit die Beiträge chronologisch im Datei-Explorer dargestellt werden: `YYY-MM-SS-POSTNAME`.

Durch das platzieren des Befehls `<!-- more -->` im Fließtext wird der Post an dieser Stelle abgeschnitten und erscheint als Volltext nur noch, wenn der Post aktiv angeklickt oder auf `Weiterlesen` geklickt wird wird.
<!-- more -->

## Entwurfstatus
Der Eintrag `draft:` bestimmt, ob es sich bei einem Blogpost noch um einen Entwurf handelt. Ist dieser Wert `true` wird er beim erzeugen des Statischen HTML nicht inkludiert.
``` yaml title="Entwurfsstatus" hl_lines="2"
---
draft: false 
date: 
  created: 2023-05-23
  updated: 2023-11-22
authors:
  - david
  - helge
---
```

## Erstellungsdatum
Es besteht die Möglichkeit ein Erstellungsdatum, sowie ein Änderungsdatum anzugeben - falls ein Post einmal aktualisiert werden muss. Das Format der Datumangabe muss in `YYYY-MM-DD` erfolgen:

``` yaml title="Erstellungsdatum angeben" hl_lines="3-5"
---
draft: false 
date: 
  created: 2023-05-23
  updated: 2023-11-22
authors:
  - david
  - helge
---
```

## Autorenverzeichnis
Im Ordner `blog\` befindet sich zusätzlich eine Datei namens `.authors.yml` in der eine Liste von Autoren, samt Rollen und Profilbild festgehalten werden können.

``` yaml title=".authors.yml" hl_lines="2 6"
authors:
  david:
    name: D.Hasselhoff
    description: Retter der 80er
    avatar: https://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Hoff_3.jpg/800px-Hoff_3.jpg
  helge:
    name: H.Schneider
    description: Amtierender Bundspräsident
    avatar: https://upload.wikimedia.org/wikipedia/commons/thumb/8/81/Maischberger_-_2023-02-08-6654.jpg/1280px-Maischberger_-_2023-02-08-6654.jpg
```

Die Autoren können dann im Metadata Header eines jeden Posts angegeben werden:

``` yaml title="Autoren angeben" hl_lines="6-8"
---
draft: false 
date: 
  created: 2023-05-23
  updated: 2023-11-22
authors:
  - david
  - helge
---
```

